VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "TTPolygon"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
'---------------------------------------------------------------------------------------
' Klasse    : TTPolygon
' Datum     : 21.01.2003
' Autor     : G.Beckmann - Email:G.Beckmann@NikoCity.de
' Zweck     : Kapselung einer _TTPOLYGONHEADER-Struktur
'---------------------------------------------------------------------------------------

Private m_PolyCurves    As TTPolyCurves
Private m_PolyData      As TTPolyData
Private m_Offset        As Long

'---------------------------------------------------------------------------------------
' Eigenschaften / Methoden
'---------------------------------------------------------------------------------------

Public Property Get TTPolyCurves() As TTPolyCurves
Attribute TTPolyCurves.VB_UserMemId = 0
Attribute TTPolyCurves.VB_MemberFlags = "200"
    Set TTPolyCurves = m_PolyCurves
End Property

Public Property Get StartPoint() As PointFx
    StartPoint = m_PolyData.PointFx(m_Offset + 8)
End Property

Public Sub Draw(ByVal hdc As Long, ByVal xOffset As Long, ByVal yOffset As Long)
    m_PolyData.DrawPolygon hdc, xOffset, yOffset, m_Offset
End Sub

Friend Function init(ByVal PolyData As TTPolyData, ByVal offset As Long) As Long
    Dim size    As Long
          
    Set m_PolyData = PolyData
    m_Offset = offset
    
    size = PolyData.Int32(offset) \ 2
    
    Set m_PolyCurves = New TTPolyCurves
    m_PolyCurves.init PolyData, size - 8, offset + 8
    
    init = size
End Function


'---------------------------------------------------------------------------------------
' Ereignisse
'---------------------------------------------------------------------------------------

Private Sub Class_Terminate()
    '/ Aufrumen
    Set m_PolyData = Nothing
    Set m_PolyCurves = Nothing
End Sub





